# DerivedState

Pool state that is not stored

Contains view functions to provide information about the pool that is computed rather than stored on the blockchain

## Functions

### getInnerCumulatives

`function getInnerCumulatives(int24 bottomTick, int24 topTick) external view returns (uint160 innerSecondsSpentPerLiquidity, uint32 innerSecondsSpent)` view external

Returns a snapshot of seconds per liquidity and seconds inside a tick range *Developer note: Snapshots must only be compared to other snapshots, taken over a period for which a position existed. I.e., snapshots cannot be compared if a position is not held for the entire period between when the first snapshot is taken and the second snapshot is taken.*

| Name       | Type  | Description                 |
| ---------- | ----- | --------------------------- |
| bottomTick | int24 | The lower tick of the range |
| topTick    | int24 | The upper tick of the range |

**Returns:**

| Name                          | Type    | Description                                                                    |
| ----------------------------- | ------- | ------------------------------------------------------------------------------ |
| innerSecondsSpentPerLiquidity | uint160 | The snapshot of seconds per liquidity for the range                            |
| innerSecondsSpent             | uint32  | The snapshot of the number of seconds during which the price was in this range |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v2.0/v2.0-core/derivedstate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
